curl --request POST \
--url https://{defaultHost}/v1/upsell_funnels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"upsell_funnel": {
"name": "Awesome Upsell"
}
}
'import requests
url = "https://{defaultHost}/v1/upsell_funnels"
payload = { "upsell_funnel": { "name": "Awesome Upsell" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({upsell_funnel: {name: 'Awesome Upsell'}})
};
fetch('https://{defaultHost}/v1/upsell_funnels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "55aa7d69-b981-41be-8a80-b6beeecd709a",
"object": "upsell_funnel",
"archived": false,
"archived_at": null,
"enabled": false,
"filter_match_type": null,
"filter_price_ids": [],
"filter_product_ids": [],
"metadata": {},
"name": "Awesome Upsell",
"priority": 5,
"discarded_at": null,
"created_at": 1787228510,
"updated_at": 1787228510
}Create
Creates a new upsell funnel.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Show child attributes
Show child attributes
Response
Success
The UUID of the specific object.
A string describing the object type returned.
Whether or not this upsell funnel is archived.
Whether or not this upsell funnel is enabled.
The matching strategy to use when filtering upsell funnels – can be null or one of all, any, none. If null, the upsell funnel will not be filtered and will be applicable to all checkouts.
The prices to filter this upsell funnel by.
The products to filter this upsell funnel by.
A name for this upsell that will be visible to customers.
The priority of this upsell in relation to other upsells. Must be in the range of 1 - 5 with 5 being the highest priority and 1 being the lowest.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Time at which the object was archived. Measured in seconds since the Unix epoch.
Expandable – Property not returned unless expanded.
Time at which the object was discarded. Measured in seconds since the Unix epoch.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?